> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04c-titiler-api/color-maps.md).

# Color Maps

## Retrieve the list of available colormaps.

> Retrieve the list of available colormaps.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/colorMaps":{"get":{"tags":["ColorMaps"],"summary":"Retrieve the list of available colormaps.","description":"Retrieve the list of available colormaps.","operationId":"getColorMapList","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColorMapsList"}}}}}}}},"components":{"schemas":{"ColorMapsList":{"properties":{"colorMaps":{"items":{"type":"string"},"type":"array","title":"Colormaps"},"links":{"items":{"$ref":"#/components/schemas/titiler__core__models__OGC__Link"},"type":"array","title":"Links"}},"type":"object","required":["colorMaps","links"],"title":"ColorMapsList","description":"Model for colormap list."},"titiler__core__models__OGC__Link":{"properties":{"href":{"type":"string","title":"Href","description":"Supplies the URI to a remote resource (or resource fragment)."},"rel":{"type":"string","title":"Rel","description":"The type or semantics of the relation."},"type":{"anyOf":[{"$ref":"#/components/schemas/MediaType"},{"type":"null"}],"description":"A hint indicating what the media type of the result of dereferencing the link should be."},"templated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Templated","description":"This flag set to true if the link is a URL template."},"varBase":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Varbase","description":"A base path to retrieve semantic information about the variables used in URL template."},"hreflang":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hreflang","description":"A hint indicating what the language of the result of dereferencing the link should be."},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Used to label the destination of a link such that it can be used as a human-readable identifier."},"length":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Length"}},"type":"object","required":["href","rel"],"title":"Link","description":"Link model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-core/link.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"MediaType":{"type":"string","enum":["image/tiff; application=geotiff","image/jp2","image/png","image/png","image/jpeg","image/jpg","image/webp","application/x-binary","application/xml","application/json","application/geo+json","text/html","text/plain","application/x-protobuf","application/vnd.mapbox-vector-tile","application/ndjson","application/geo+json-seq","application/schema+json","text/csv","application/vnd.oai.openapi+json;version=3.0","application/vnd.oai.openapi;version=3.0","image/gif"],"title":"MediaType","description":"Responses Media types formerly known as MIME types."}}}}
```

## Retrieve the colorMap metadata or image.

> Retrieve the metadata of the specified colormap.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/colorMaps/{colorMapId}":{"get":{"tags":["ColorMaps"],"summary":"Retrieve the colorMap metadata or image.","description":"Retrieve the metadata of the specified colormap.","operationId":"getColorMap","parameters":[{"name":"colorMapId","in":"path","required":true,"schema":{"enum":["hsv_r","greys_r","winter","rdbu_r","ylgnbu","piyg","rdpu_r","orrd","puor","oxy_r","gnuplot_r","purples","viridis_r","summer_r","cmrmap_r","paired","tarn_r","ice","brg","cubehelix_r","reds_r","gist_stern","bone_r","ylorrd_r","cubehelix","curl","deep_r","algae","rdpu","hot","bone","brg_r","set3","pastel2_r","twilight","greens_r","hsv","coolwarm_r","spectral","bupu_r","amp","gist_ncar","bwr","rain_r","gray_r","pubugn","ylorrd","dark2_r","oranges","purples_r","magma","twilight_shifted","cfastie","twilight_r","tab10","cmrmap","binary_r","set3_r","autumn_r","ylgn","terrain","jet","piyg_r","tab20b","amp_r","tempo_r","cividis","gist_yarg","gnuplot2","reds","thermal_r","puor_r","gist_yarg_r","tab20c_r","turbid_r","gist_heat","spectral_r","seismic","dark2","tab20b_r","gist_gray_r","tab20c","ylgn_r","bugn_r","dense","paired_r","pastel1_r","haline","inferno_r","cool_r","tab20","topo_r","gist_rainbow_r","balance","rdbu","copper_r","delta","gnuplot","pink_r","delta_r","inferno","summer","turbid","accent","algae_r","greys","rplumbo","dense_r","tab20_r","tab10_r","gist_heat_r","oxy","gnuplot2_r","jet_r","solar","magma_r","rainbow","spring","rdylbu_r","prism_r","bupu","brbg_r","ocean_r","prism","greens","blues","pubu_r","pink","plasma","afmhot_r","pubu","copper","speed_r","matter_r","rainbow_r","binary","purd","rdylbu","matter","pastel2","purd_r","hot_r","cividis_r","wistia","set1_r","ylgnbu_r","set1","orrd_r","speed","gist_stern_r","gray","ocean","oranges_r","seismic_r","spring_r","turbo","rain","topo","tempo","prgn_r","set2","rdylgn_r","plasma_r","bwr_r","winter_r","solar_r","balance_r","turbo_r","rdylgn","rdgy","flag_r","diff","gnbu","nipy_spectral","gist_earth_r","gist_ncar_r","curl_r","haline_r","phase","wistia_r","gist_rainbow","terrain_r","gist_gray","pubugn_r","ice_r","cool","twilight_shifted_r","brbg","deep","diff_r","thermal","prgn","nipy_spectral_r","schwarzwald","tarn","viridis","ylorbr","afmhot","gist_earth","autumn","rdgy_r","bugn","phase_r","accent_r","coolwarm","set2_r","pastel1","blues_r","flag","gnbu_r","ylorbr_r"],"type":"string","description":"ColorMap name","title":"Colormapid"},"description":"ColorMap name"},{"name":"format","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/ImageType"},{"type":"null"}],"description":"Return colorMap as Image.","title":"Format"},"description":"Return colorMap as Image."},{"name":"orientation","in":"query","required":false,"schema":{"anyOf":[{"enum":["vertical","horizontal"],"type":"string"},{"type":"null"}],"description":"Image Orientation.","title":"Orientation"},"description":"Image Orientation."},{"name":"height","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Image Height (default to 20px for horizontal or 256px for vertical).","title":"Height"},"description":"Image Height (default to 20px for horizontal or 256px for vertical)."},{"name":"width","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Image Width (default to 256px for horizontal or 20px for vertical).","title":"Width"},"description":"Image Width (default to 256px for horizontal or 20px for vertical)."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"type":"object","additionalProperties":{"type":"array","prefixItems":[{"type":"integer"},{"type":"integer"},{"type":"integer"},{"type":"integer"}],"minItems":4,"maxItems":4}},{"type":"array","items":{"type":"array","prefixItems":[{"type":"array","prefixItems":[{"anyOf":[{"type":"number"},{"type":"integer"}]},{"anyOf":[{"type":"number"},{"type":"integer"}]}],"minItems":2,"maxItems":2},{"type":"array","prefixItems":[{"type":"integer"},{"type":"integer"},{"type":"integer"},{"type":"integer"}],"minItems":4,"maxItems":4}],"minItems":2,"maxItems":2}}],"title":"Response Getcolormap"}},"image/png":{},"image/jpeg":{},"image/jpg":{},"image/webp":{},"image/jp2":{},"image/tiff; application=geotiff":{},"application/x-binary":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"ImageType":{"type":"string","enum":["png","npy","tif","jpeg","jpg","jp2","webp","pngraw"],"title":"ImageType","description":"Available Output image type."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
